Package io.dapr.v1

# Class AppCallbackAlphaGrpc

java.lang.Object
io.dapr.v1.AppCallbackAlphaGrpc

@Generated(value="by gRPC proto compiler (version 1.69.0)", comments="Source: dapr/proto/runtime/v1/appcallback.proto") public final class AppCallbackAlphaGrpc extends Object

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub`
A stub to allow clients to do synchronous rpc calls to service AppCallbackAlpha.
`static final class`
`AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub`
A stub to allow clients to do ListenableFuture-style rpc calls to service AppCallbackAlpha.
`static class`
`AppCallbackAlphaGrpc.AppCallbackAlphaImplBase`
Base class for the server implementation of the service AppCallbackAlpha.
`static final class`
`AppCallbackAlphaGrpc.AppCallbackAlphaStub`
A stub to allow clients to do asynchronous rpc calls to service AppCallbackAlpha.
`static interface`
`AppCallbackAlphaGrpc.AsyncService`
AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt for Alpha RPCs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`

## Method Summary

Modifier and Type
Method
Description
`static final io.grpc.ServerServiceDefinition`
`bindService(AppCallbackAlphaGrpc.AsyncService service)`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventBulkRequest,DaprAppCallbackProtos.TopicEventBulkResponse>`
`getOnBulkTopicEventAlpha1Method()`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.JobEventRequest,DaprAppCallbackProtos.JobEventResponse>`
`getOnJobEventAlpha1Method()`
`static io.grpc.ServiceDescriptor`
`getServiceDescriptor()`
`static AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub`
`newBlockingStub(io.grpc.Channel channel)`
Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub`
`newFutureStub(io.grpc.Channel channel)`
Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackAlphaGrpc.AppCallbackAlphaStub`
`newStub(io.grpc.Channel channel)`
Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_NAME

public static final String SERVICE_NAME

See Also:
  - Constant Field Values

## Method Details

### getOnBulkTopicEventAlpha1Method

public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventBulkRequest,DaprAppCallbackProtos.TopicEventBulkResponse> getOnBulkTopicEventAlpha1Method()

### getOnJobEventAlpha1Method

public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.JobEventRequest,DaprAppCallbackProtos.JobEventResponse> getOnJobEventAlpha1Method()

### newStub

public static AppCallbackAlphaGrpc.AppCallbackAlphaStub newStub(io.grpc.Channel channel)
Creates a new async stub that supports all call types for the service

### newBlockingStub

public static AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub newBlockingStub(io.grpc.Channel channel)
Creates a new blocking-style stub that supports unary and streaming output calls on the service

### newFutureStub

public static AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub newFutureStub(io.grpc.Channel channel)
Creates a new ListenableFuture-style stub that supports unary calls on the service

### bindService

public static final io.grpc.ServerServiceDefinition bindService(AppCallbackAlphaGrpc.AsyncService service)

### getServiceDescriptor

public static io.grpc.ServiceDescriptor getServiceDescriptor()